duUtil = {};

-- variables
duUtil.messageColors =
{
	SYSTEM = {red = 1.0, green = 0.8, blue = 0.0}
};

--
-- sends a simple system message
--
function duUtil:message(text, colorSet)

	-- set default color to system
	if ((not colorSet) or (not self.messageColors[colorSet])) then
		colorSet = "SYSTEM";
	end
	
	-- show message on default chat window
	if (text) then
		local colors = self.messageColors[colorSet];
		DEFAULT_CHAT_FRAME:AddMessage(text, colors.red, colors.green, colors.blue);
	end
	
end

--
-- splits a string using a delimiter
--
--[[
	SOURCE:
	lua-users wiki
	http://lua-users.org/wiki/MakingLuaLikePhp
]]
function duUtil:split(text, delim)
	
	-- delimiter not exist: return original text
	if (not (delim) or (delim == "")) then
		return {};
	end
	
	local pos, frags = 0, {};	
	for st, sp in function() return string.find(text, delim, pos, true) end do
		-- remove delimiter before inserting string
		table.insert(frags, string.sub(text, pos, st-1))
		-- search for next fragment
		pos = sp + 1;
	end
	
	-- insert last fragment
	table.insert(frags, string.sub(text, pos));
	return frags;
end